Package mvpa :: Package clfs :: Module warehouse

[hide private]
[frames] | no frames]

# Module warehouse

source code

Collection of classifiers to ease the exploration.

Classes | [hide private]

| Warehouse Class to keep known instantiated classifiers

Variables | [hide private]

| _KNOWN_INTERNALS = `['knn', 'binary', 'svm', 'linear', 'smlr', `...``
| clfswh = `Warehouse(known_tags= _KNOWN_INTERNALS)`
| regrswh = `Warehouse(known_tags= _KNOWN_INTERNALS)`
| bad_classifiers = `['mpd', 'gpbt', 'gmnp', 'svrlight', 'krr',]`
| _optional_regressions = `[]`
| linearSVMC = `clfswh ['linear', 'svm', cfg.get('svm', 'backend'`...``
| rfesvm_split = `SplitClassifier(linearSVMC)`
| rfesvm = `LinearCSVMC()`

Imports: operator, FeatureSelectionClassifier, SplitClassifier, MulticlassClassifier, SMLR, kNN, GNB, KernelLinear, KernelSquaredExponential, externals, cfg, OneWayAnova, Absolute, SMLRWeights, FractionTailSelector, FixedNElementTailSelector, RangeElementSelector, SensitivityBasedFeatureSelection, libsvm, sg, lars, LARS, GLMNET_C, GLMNET_R, GPR, BLR, PLR

Variables Details | [hide private]

### _KNOWN_INTERNALS

Value:

      ['knn', 'binary', 'svm', 'linear', 'smlr', 'does_feature_selection', '
      has_sensitivity', 'multiclass', 'non-linear', 'kernel-based', 'lars',
      'regression', 'libsvm', 'sg', 'meta', 'retrainable', 'gpr', 'notrain2p
      redict', 'ridge', 'blr', 'gnpp', 'enet', 'glmnet', 'gnb', 'plr']

### linearSVMC

Value:

      clfswh ['linear', 'svm', cfg.get('svm', 'backend', default= 'libsvm').
      lower()] [0]